Bug 837947 - libnfc outdated and not mantained
libnfc outdated and not mantained
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libnfc (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jaroslav Škarvada
Fedora Extras Quality Assurance
:
: 714631 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-05 17:27 EDT by Manuel Bejarano
Modified: 2013-05-16 23:27 EDT (History)
3 users (show)

See Also:
Fixed In Version: libnfc-1.7.0-0.4.rc7.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-16 23:27:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Manuel Bejarano 2012-07-05 17:27:43 EDT
Description of problem:
Latest version available in Fedora repositories of libnfc (1.4.2) is outdated and not maintaned anymore.

Version-Release number of selected component (if applicable):
libnfc-1.4.2-2.fc17

Upstream version available is 1.6.0. Please, let me know if the package maintaner is still following the development of this particular library because if not, somebody could be in charge instead.

Cheers!
Comment 1 François Kooman 2012-07-07 04:39:07 EDT
Waiting for the fix to this issue:

https://code.google.com/p/libnfc/issues/detail?id=199
Comment 2 Manuel Bejarano 2012-07-07 06:46:59 EDT
Ok, I tried to compile before posting the bug report and found the same issue. It's related with the MIN macro being not properly included in some source files, see https://groups.google.com/forum/?fromgroups#!topic/libnfc-devel/K0cwIdPuqJg

However, the latest code in the SVN compiles but none of the examples seems to work, all of them throw segmentation faults when executed.

Anyway, I will wait until for the 1.6.0 release.

Thanks François!
Comment 3 François Kooman 2012-07-30 09:02:26 EDT
*** Bug 714631 has been marked as a duplicate of this bug. ***
Comment 4 Jaroslav Škarvada 2013-05-07 07:59:24 EDT
The libnfc-1.7.0-0.4.rc7 landed in rawhide. I will build it for f18 / f19, but probably not for f17 as it is near EOL.

I am moving this bug to f18. Please leave a comment in case the f17 update is important for you.
Comment 5 Fedora Update System 2013-05-07 09:52:50 EDT
libnfc-1.7.0-0.4.rc7.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libnfc-1.7.0-0.4.rc7.fc19
Comment 6 Fedora Update System 2013-05-07 09:54:02 EDT
libnfc-1.7.0-0.4.rc7.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libnfc-1.7.0-0.4.rc7.fc19
Comment 7 Fedora Update System 2013-05-07 10:04:51 EDT
libnfc-1.7.0-0.4.rc7.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/libnfc-1.7.0-0.4.rc7.fc18
Comment 8 Fedora Update System 2013-05-09 06:08:09 EDT
Package libnfc-1.7.0-0.4.rc7.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libnfc-1.7.0-0.4.rc7.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-7709/libnfc-1.7.0-0.4.rc7.fc18
then log in and leave karma (feedback).
Comment 9 Manuel Bejarano 2013-05-11 05:06:26 EDT
Hello,

I've tested the update and evething is working fine. I'm running Fedora 18 so having this version in F17 is not an issue for me.

Cheers!
Comment 10 Fedora Update System 2013-05-16 23:27:38 EDT
libnfc-1.7.0-0.4.rc7.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.